Posted on 2 Comments

Groups2Mailchimp documentation

Setup Mailchimp

Create an account in newsletter service Mailchimp.

Create and get Mailchimp’s API Key. In your account menu, “Api Keys & Authorized Apps” submenu.

We must create a List and a Group, where the system will create the subgroups.

MailChimp is ready !, now we need setup the plugin.

Setup Groups2Mailchimp

If you have not done so already, install and activate the Groups2Mailchimp plugin. See Installation section.

Check the settings on the Groups > Groups2Mailchimp page and adjust them.

setup

The config fields:

API Key: The Api Key obtained.

List name: Mailchimp’s list. Is case sensitive.

Group name: Mailchimp’s group in the above list. Is case sensitive.

Need confirm: Indicates whether Mailchimp is going to send the user a confirmation email. Abusing this may cause your mailchimp account to be suspended (you can be considered spam).

Synchronize button: Use it to create in Mailchimp subgroups and subscribers (users) according your existing website groups and users. Normally used when the web is already operating.

Once the plugin is installed, enabled and configured, it begins to run.

Mailchimp Subgroups

When you create a website’s group, a Mailchimp’s subgroup is created.

When you delete a website’s group, the Mailchimp’s subgroup is deleted if exists.

When you edit a website’s group, the Mailchimp’s subgroup is edited if exists.

Mailchimp Subscribers

When you add a website’s user to a group, then Mailchimp create a subscriber to this subgroup.

When you delete a website’s user of a group, Mailchimp unsubscribe this user of this subgroup.

When you edit a website’s user, Mailchimp’s subscriber is edited if exists, else subscribe this user.

Synchronize

When you synchronize, all existing groups and their users are created in Mailchimp service, if they don’t exist.

This is used once at the beginning, then everything is automatic.

mailchimp

2 thoughts on “Groups2Mailchimp documentation

  1. Is this plugin no longer supported? I purchased it earlier this year and may use it again. I don’t want to use it if you know there is a problem with it. Thanks.

    1. Hi Andrew,
      Yes, the plugin is not longer supported, but this should work fine with the latest version, so you can use this.
      Kind Regards,
      Antonio B.

Leave a Reply

Your email address will not be published. Required fields are marked *